Package chatapp.Model

# Class ListUtilisateurs

java.lang.Object
chatapp.Model.ListUtilisateurs

    public class ListUtilisateurs
    extends java.lang.Object

Classe représentant la liste des utilisateurs actifs, stockée localement.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ListUtilisateurs()` | Constructeur : initialise la liste 'actifUsers'

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addList​(Utilisateur u)` | Ajouter des utilisateurs actifs dans l'attribut liste 'actifUsers'
`void` | `afficherListeUtilisateurs()` | Méthode affichant la liste des utilisateurs actifs
`java.lang.Boolean` | `appartient​(Utilisateur u)` | Méthode permettant de savoir si un utilisateur est contenu dans la liste 'actifUsers'
`java.util.ArrayList<Utilisateur>` | `getActifUsers()` | Getter : ActifUsers (liste des utilisateurs actifs)
`Utilisateur` | `getIPList​(java.net.InetAddress ip)` | Récupérer un utilisateur à partir de son addresse IP
`Utilisateur` | `getPseudoList​(java.lang.String pseudo)` | Récupérer un utilisateur à partir de son pseudo.
`void` | `modifierList​(java.lang.String ancien, java.lang.String nouveau)` | Modifier le pseudo d'un utilisateur dans la liste des utilisateurs actifs 'actifUsers'
`void` | `supprimerList​(Utilisateur u)` | Supprimer de la liste des utilisateurs actifs 'actifUsers' un certain utilisateur
`java.lang.Boolean` | `verifierUnicite​(java.lang.String pseudo)` | Vérifie qu'aucun autre utilisateur ne posséde le meme pseudo

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListUtilisateurs

public ListUtilisateurs()
Constructeur : initialise la liste 'actifUsers'

## Method Details

### addList

public void addList​(Utilisateur u)
Ajouter des utilisateurs actifs dans l'attribut liste 'actifUsers'

Parameters:
  `u` - On va rajouter cet utilisateur dans la liste

### getPseudoList

public Utilisateur getPseudoList​(java.lang.String pseudo)
Récupérer un utilisateur à partir de son pseudo.

Parameters:
  `pseudo` - Pseudo de l'utilisateur que l'on souhaite retrouver
Returns:
  L'utilisateur associé à ce pseudo

### getIPList

public Utilisateur getIPList​(java.net.InetAddress ip) throws java.lang.Exception
Récupérer un utilisateur à partir de son addresse IP

Parameters:
  `ip` - Adresse IP de l'utilisateur que l'on souhaite retrouver
Returns:
  L'utilisateur associé à l'adresse IP
Throws:
  `java.lang.Exception`

### supprimerList

public void supprimerList​(Utilisateur u)
Supprimer de la liste des utilisateurs actifs 'actifUsers' un certain utilisateur

Parameters:
  `u` - On va supprimer cet utilisateur dans la liste

### modifierList

public void modifierList​(java.lang.String ancien, java.lang.String nouveau)
Modifier le pseudo d'un utilisateur dans la liste des utilisateurs actifs 'actifUsers'

Parameters:
  `ancien` - Pseudo à remplacer
  `nouveau` - Nouveau pseudo

### appartient

public java.lang.Boolean appartient​(Utilisateur u)
Méthode permettant de savoir si un utilisateur est contenu dans la liste 'actifUsers'

Parameters:
  `u` - On souhaite savoir si cet utilisateur appartient a la liste
Returns:
  True si il appartient, False sinon

### verifierUnicite

public java.lang.Boolean verifierUnicite​(java.lang.String pseudo)
Vérifie qu'aucun autre utilisateur ne posséde le meme pseudo

Parameters:
  `pseudo` - Pseudo dont on veut vérifier l'unicité
Returns:
  True si aucun utilisateur de la liste possède ce pseudo, False sinon

### afficherListeUtilisateurs

public void afficherListeUtilisateurs()
Méthode affichant la liste des utilisateurs actifs

### getActifUsers

public java.util.ArrayList<Utilisateur> getActifUsers()
Getter : ActifUsers (liste des utilisateurs actifs)

Returns:
  La liste des utilisateurs actifs